package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.GroupType;
import com.ym.mec.biz.dal.enums.TeachTypeEnum;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;
import java.util.List;

/**
 * 对应数据库表(class_group_teacher_mapper):
 */
public class ClassGroupTeacherMapper {

	/**  */
	private Long id;
	
	private GroupType groupType;
	
	/**  */
	@ApiModelProperty(value = "乐团编号",required = false)
	private String musicGroupId;
	
	/**  */
	@ApiModelProperty(value = "班级编号",required = false)
	private Integer classGroupId;
	
	/** 老师角色（主教、助教） */
	@ApiModelProperty(value = "老师角色",required = false)
	private TeachTypeEnum teacherRole;
	
	/**  */
	@ApiModelProperty(value = "用户编号",required = false)
	private Integer userId;

	@ApiModelProperty(value = "用户名",required = false)
	private String realName;

	/** 薪酬 */
	@ApiModelProperty(value = "薪酬",required = false)
	private BigDecimal salary;

	@ApiModelProperty(value = "默认薪酬列表",required = false)
	private List<TeacherDefaultMusicGroupSalary> teacherDefaultMusicGroupSalaryList;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public GroupType getGroupType() {
		return groupType;
	}

	public void setGroupType(GroupType groupType) {
		this.groupType = groupType;
	}

	public void setMusicGroupId(String musicGroupId){
		this.musicGroupId = musicGroupId;
	}
	
	public String getMusicGroupId(){
		return this.musicGroupId;
	}
			
	public void setClassGroupId(Integer classGroupId){
		this.classGroupId = classGroupId;
	}
	
	public Integer getClassGroupId(){
		return this.classGroupId;
	}

	public TeachTypeEnum getTeacherRole() {
		return teacherRole;
	}

	public void setTeacherRole(TeachTypeEnum teacherRole) {
		this.teacherRole = teacherRole;
	}

	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}

	public BigDecimal getSalary() {
		return salary;
	}

	public void setSalary(BigDecimal salary) {
		this.salary = salary;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}

	public String getUserName() {
		return realName;
	}

	public void setUserName(String realName) {
		this.realName = realName;
	}

	public List<TeacherDefaultMusicGroupSalary> getTeacherDefaultMusicGroupSalaryList() {
		return teacherDefaultMusicGroupSalaryList;
	}

	public void setTeacherDefaultMusicGroupSalaryList(List<TeacherDefaultMusicGroupSalary> teacherDefaultMusicGroupSalaryList) {
		this.teacherDefaultMusicGroupSalaryList = teacherDefaultMusicGroupSalaryList;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
